Mail::SPF::Base(3)

NAME
Mail::SPF::Base - Base class for Mail::SPF classes

SYNOPSIS
    use base 'Mail::SPF::Base';

    sub new {
        my ($class, @options) = @_;
        my $self = $class->SUPER::new(@options);
        ...
        return $self;
    }

DESCRIPTION
Mail::SPF::Base is a common base class for all Mail::SPF classes.

  Constructor
The following constructor is provided:

new(%options): returns Mail::SPF::Base
    Creates a new object of the class on which the constructor was invoked. The provided options are stored as key/value pairs in the new object.

    The "new" constructor may also be called on an object, in which case the object is cloned. Any options provided override those from the old object.

    There are no common options defined in Mail::SPF::Base.

  Class methods
The following class methods are provided:

class: returns string
    Returns the class name of the class or object on which it is invoked.

  Class methods
The following class methods are provided:

make_accessor($name, $readonly): returns code-ref
    Creates an accessor method in the class on which it is invoked. The accessor has the given name and accesses the object field of the same name. If $readonly is true, the accessor is made read-only.

  Instance methods
There are no common instance methods defined in Mail::SPF::Base.

SEE ALSO
Mail::SPF

For availability, support, and license information, see the README file included with Mail::SPF.

AUTHORS
Julian Mehnle <julian@mehnle.net>, Shevek <cpan@anarres.org>